Extending Qt Creator Manual | BreakpointResponseId

Extending Qt Creator Manual 4.7.1

# BreakpointResponseId Class

(Debugger::Internal::BreakpointResponseId)

Header: | #include <BreakpointResponseId>
Inherits: | Debugger::Internal::BreakpointIdBase

- List of all members, including inherited members

## Public Functions

| BreakpointResponseId()
| BreakpointResponseId(int ma)
| BreakpointResponseId(int ma, int mi)
| BreakpointResponseId(const int &ba)

- 10 public functions inherited from Debugger::Internal::BreakpointIdBase

## Detailed Description

This is what the external debuggers use to identify a breakpoint. It is only valid for one debugger run.

In gdb, the breakpoint number is used, which is constant during a session. CDB's breakpoint numbers vary if breakpoints are deleted, so, the ID is used.

## Member Function Documentation

### BreakpointResponseId::BreakpointResponseId()

Default constructs an instance of BreakpointResponseId.

### BreakpointResponseId::BreakpointResponseId(int ma)

Default constructs an instance of BreakpointResponseId.

### BreakpointResponseId::BreakpointResponseId(int ma, int mi)

Default constructs an instance of BreakpointResponseId.

### BreakpointResponseId::BreakpointResponseId(const int &ba)

Default constructs an instance of BreakpointResponseId.